<?php
namespace Netlogix\Nxflexformbug\Domain\Repository;

use Netlogix\Nxflexformbug\Domain\Model\Product;
use TYPO3\CMS\Extbase\Persistence\Repository;

class ProductRepository extends Repository
{

    /**
     * @param array $uids
     * @return Product[]
     */
    public function findByUids($uids)
    {
        $query = $this->createQuery();
        $statement = sprintf('
            SELECT
                *
            FROM
              tx_nxflexformbug_domain_model_product
            WHERE
              uid IN (%1$s)
              AND (sys_language_uid IN (0,-1))
              %2$s
            ORDER BY
              FIELD(uid, %1$s)
        ', implode(',', $uids), $this->getPageRepository()->enableFields('tx_nxflexformbug_domain_model_product'));
        $query->statement($statement);
        return $query->execute()->toArray();
    }

    /**
     * @return \TYPO3\CMS\Frontend\Page\PageRepository
     */
    protected function getPageRepository()
    {
        return $GLOBALS['TSFE']->sys_page;
    }
}

